Brands

List topics and tags

Markdown
GET
/v1/brands/{brandId}/prompt-groups

The topics and tags used to group a brand's prompts. Pass their ids as topicId or tagId to the metrics and responses endpoints.

Authorization

bearer
AuthorizationBearer <token>

An API key from Settings → API keys in the Gensiv app.

In: header

Path Parameters

brandId*string

A brand id from GET /v1/brands.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt-groups"
{  "topics": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "Small teams"    }  ],  "tags": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "Small teams"    }  ]}